function f_est = f_est_endo(data, y_pt, delta_pt, x_pt, bw) 

y = data(:,1) ;
d = data(:,2) ;
x = data(:,3:end) ;

%n = size(data,1) ;

dx = size(x, 2) ; 
kx = 1; 

for j = 1:dx 
    
    kx = kx .* kernel ( (x(:,j) - x_pt(j)) ./ bw) ;
    
end

den_fun = sum(kx) ; 
den_fun(den_fun<=0) = 1e-10 ; 

cond_prob1 = sum(d.*kx) / den_fun ; 
cond_prob0 = sum((1-d).*kx) / den_fun ; 


f1_L = sum((y <= y_pt) .* d .* kx) ./ den_fun  ; 
f0_L = sum((y <= y_pt - delta_pt) .* (1-d) .* kx) ./ den_fun ; 

f1_U = f1_L + cond_prob0 ; 
f0_U = f0_L + cond_prob1 ; 


f_est = [f1_L, f0_U, f1_U, f0_L] ;