function FH_bound = FH_true_bound(delta_point, y_index, mu1, mu0, sigma1, sigma0)

f1 = normcdf(y_index, mu1, sigma1) ; 
f0 = normcdf(y_index - delta_point, mu0, sigma0) ; 

FH_lower = max(max(f1-f0), 0) ; 
FH_upper = min(min(f1-f0), 0) + 1 ; 

FH_bound = [FH_lower, FH_upper]; 