%% Checking the true bounds 

clear;
clc; 


delta_index = (-5:0.01:5)' ; 
di = size(delta_index,1) ; 

mu1 = 0 ; 
mu0 = 0 ; 
sigma1 = 1; 
sigma0 = 1; 



true_mat_store = zeros(di,2) ; 
FH_mat_store = zeros(di,2) ; 



for i = 1:di 
    FH_mat = FH_bound(delta_index(i,1), delta_index, mu1, mu0, sigma1, sigma0) ; 
    FH_mat_store(i,:) = FH_mat; 
    
    true_mat = true_bound(delta_index(i,1), mu1, mu0, sigma1, sigma0) ; 
    true_mat_store(i,:) = true_mat ; 
        
end

true_lower_mat = true_mat_store(:,1) ; 
true_upper_mat = true_mat_store(:,2) ; 

FH_true_lower_mat = FH_mat_store(:,1);
FH_true_upper_mat = FH_mat_store(:,2); 
  
    

plot(delta_index, true_lower_mat,'-o', delta_index, FH_true_lower_mat,'-')
legend('true', 'FH'); 


plot(delta_index, true_upper_mat,'-o', delta_index, FH_true_upper_mat,'-')
legend('true', 'FH'); 

