function bound_te_boot = one_sided_bound_te_boot(data, y_index, delta_index, x_pt, n, bw, boot, an) 

di = size(y_index,1) ;

fun_boot = zeros(di,di) ;
fun_est = zeros(di,di); 

%lb_est_mat = bound_est_mat(:,1) ; 
%ub_est_mat = bound_est_mat(:,2) ; 


for i = 1:di
    for j = 1:di 
        
        f_est_mat = f_est(data, y_index(i,1), delta_index(j,1), x_pt, bw) ;         
        f_boot_est_mat = f_boot_est(data, y_index(i,1), delta_index(j,1), x_pt, bw, boot) ;    
        
        fun_est(i,j) = f_est_mat(:,1) - f_est_mat(:,2) ;        
        fun_boot(i,j) = f_boot_est_mat(:,1) - f_boot_est_mat(:,2) ;
         
        
    end 
end

%% Simulating bounds

fun_est_max = max(fun_est) ; 
fun_est_sup_pert_mat = kron(ones(di,1), fun_est_max - an) ;
select = (fun_est - fun_est_sup_pert_mat >= 0 ) ; 

fun_est_2 = fun_est + 1 ;
fun_est_min = min(fun_est_2) ; 
fun_est_inf_pert_mat = kron(ones(di,1), fun_est_min + an) ; 
select_2 = (fun_est_inf_pert_mat - fun_est >= 0 ) ; 

h_fun = sqrt(n*bw)*fun_boot ; 
h_fun_2 = h_fun + 1; 

min_h_fun = min(h_fun) - 1e10;
max_h_fun_2 = max(h_fun_2) + 1e10 ; 

select_3 = (fun_est_min >= max(fun_est_min) - an) ; 


for i = 1:di 
    for j = 1:di 
        
        if select(i,j) == 0 
            
            h_fun(i,j) = min_h_fun(j) ; 
            
        end
        
        if select_2(i,j) == 0
            
            h_fun_2(i,j) = max_h_fun_2(j) ; 
        end
    end
end


upper_arg = min(h_fun_2) ; 
temp = max(h_fun_2) + 1e10 ; 

for i = 1:di 
    
    if select_3(i) == 0 
        upper_arg(i) = temp(i) ; 
    end
end

lambda_lower = max(max(max(h_fun)), 0 ) ;  
lambda_upper = min(max(upper_arg),1) ;  

%bound_te_boot = lambda_lower ; 
bound_te_boot = [lambda_lower, lambda_upper] ;