function f_est = f_est_endo_tight(data, y_pt, delta_pt, x_pt, bw) 

y = data(:,1) ;
d = data(:,2) ;
x = data(:,3:end) ;

%n = size(data,1) ;

dx = size(x, 2) ; 
kx = 1; 

for j = 1:dx 
    
    kx = kx .* kernel ( (x(:,j) - x_pt(j)) ./ bw) ;
    
end

den_fun = sum(kx) ; 
den_fun1 = sum(d.*kx); 
den_fun0 = sum((1-d).*kx) ; 

den_fun(den_fun <= 0) = 1e-10 ; 
den_fun1(den_fun1<=0) = 1e-10 ; 
den_fun0(den_fun0<=0) = 1e-10 ; 

fun11 = (y <= y_pt) .* d .* kx ; 
fun00 = (y <= y_pt - delta_pt) .* (1-d) .* kx ; 

% fy 

fy1 = (y <= y_pt) .* kx ; 
fyd1 = (y <= y_pt - delta_pt) .* kx ; 


f1_lower_est = sum(fun11) ./ den_fun1  ; 
f0_upper_est = sum(fun00) ./ den_fun0 ; 
f1_upper_est = sum(fy1) ./ den_fun ; 
f0_lower_est = sum(fyd1) ./ den_fun ; 


f_est = [f1_lower_est, f0_upper_est, f1_upper_est, f0_lower_est] ;