function f_boot_est = f_boot_est(data, y_pt, delta_pt, x_pt, bw, boot)
y = data(:,1) ;
d = data(:,2) ;
x = data(:,3:end) ;

%n = size(data,1) ;

f_est_mat = f_est(data, y_pt, delta_pt, x_pt, bw)  ; 

f1_est = f_est_mat(:,1) ; 
f0_est = f_est_mat(:,2) ; 

kx = kernel ( (x - x_pt) ./ bw) ;

%% f1
fun0_f1 = (y <= y_pt)   ; 

fun1_f1 = boot .* (fun0_f1 - f1_est) .* kx .* d;
fun2_f1 = d.*kx ; 

fun1_f1_sum = sum(fun1_f1) ;
fun2_f1_sum = sum(fun2_f1) ;


if fun2_f1_sum == 0 
    fun2c_f1_sum = 1e-10 ; 
    
end
    
if fun2_f1_sum > 0 
    fun2c_f1_sum = fun2_f1_sum ; 
    
end


f1_boot_est = fun1_f1_sum ./ fun2c_f1_sum ; 



%%f0 

fun0_f0 = (y <= y_pt - delta_pt)  ; 
fun1_f0 = boot .* (fun0_f0 - f0_est) .* kx .*(1-d) ; 
fun2_f0 = (1-d).*kx ; 

fun1_f0_sum = sum(fun1_f0) ;
fun2_f0_sum = sum(fun2_f0) ;


if fun2_f0_sum == 0 
    fun2c_sum = 1e-10 ; 
    
end
    
if fun2_f0_sum > 0 
    fun2c_sum = fun2_f0_sum ; 
    
end

f0_boot_est = fun1_f0_sum ./ fun2c_sum ; 

f_boot_est = [f1_boot_est, f0_boot_est];