function f_est = f_est(data, y_pt, delta_pt, x_pt, bw) 

y = data(:,1) ;
d = data(:,2) ;
x = data(:,3:end) ;

%n = size(data,1) ;

kx = kernel ( (x - x_pt) ./ bw) ;

fun11 = (y <= y_pt) .* d .* kx ; 
fun12 = d.*kx ; 

fun11_sum = sum(fun11) ;
fun12_sum = sum(fun12) ;

if fun12_sum == 0 
    fun12c_sum = 1e-10 ; 
    
end
    
if fun12_sum > 0 
    fun12c_sum = fun12_sum ; 
    
end


fun01 = (y <= y_pt - delta_pt) .* (1-d) .* kx ; 
fun02 = (1-d).*kx ; 

fun01_sum = sum(fun01) ;
fun02_sum = sum(fun02) ;


if fun02_sum == 0 
    fun02c_sum = 1e-10 ; 
    
end
    
if fun02_sum > 0 
    fun02c_sum = fun02_sum ; 
    
end


f1_est = fun11_sum ./ fun12c_sum ; 
f0_est = fun01_sum ./ fun02c_sum ; 

f_est = [f1_est, f0_est] ;